# Method: billingAccounts.skuGroups.list

- [HTTP request](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/billingAccounts.skuGroups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/billingAccounts.skuGroups/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/billingAccounts.skuGroups/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/billingAccounts.skuGroups/list#body.request_body)
- [Response body](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/billingAccounts.skuGroups/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/billingAccounts.skuGroups/list#body.ListBillingAccountSkuGroupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/billingAccounts.skuGroups/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/billingAccounts.skuGroups/list#try-it)

Lists SKU groups visible to a `billing account`.

### HTTP request

`GET https://cloudbilling.googleapis.com/v1beta/{parent=billingAccounts/*}/skuGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The `billing account` to list `billing account SKU groups` from. Format: billingAccounts/{billingAccount} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of `billing account SKU groups` to return. Results may return fewer than this value. Default value is 50 and maximum value is 5000. |
| `pageToken` | `string` Page token received from a previous `skuGroups.list` call to retrieve the next page of results. If this field is empty, the first page is returned. |

### Request body

The request body must be empty.

### Response body

Response message for `skuGroups.list`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "billingAccountSkuGroups": [ { object (`https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/billingAccounts.skuGroups#BillingAccountSkuGroup`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `billingAccountSkuGroups[]` | ``object (`https://docs.cloud.google.com/billing/docs/reference/pricing-api/rest/v1beta/billingAccounts.skuGroups#BillingAccountSkuGroup`)`` The returned publicly listed `billing account SKU groups`. |
| `nextPageToken` | `string` Token that can be sent as `pageToken` in the subsequent request to retrieve the next page. If this field is empty, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-billing`
- `https://www.googleapis.com/auth/cloud-billing.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).